libapache2-mod-suphp_0.7.1-3_i386.deb


Advertisement

Description

libapache2-mod-suphp - Apache2 module to run PHP scripts with the owner permissions

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libapache2-mod-suphp
Package version 0.7.1
Package release 3
Package architecture i386
Package type deb
Installed size 81 B
Download size 19.78 KB
Official Mirror ftp.br.debian.org
With the use of the suphp setuid root binary (from suphp-common package),
this Apache2 module change the uid of the process executing the PHP
interpreter to the owner of the php script.

Alternatives

Package Version Architecture Repository
libapache2-mod-suphp_0.7.1-3_amd64.deb 0.7.1 amd64 Debian Main
libapache2-mod-suphp - - -

Requires

Name Value
apache2.2-common -
libc6 >= 2.4
suphp-common = 0.7.1-3

Download

Type URL
Binary Package libapache2-mod-suphp_0.7.1-3_i386.deb
Source Package suphp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libapache2-mod-suphp deb package:
    # sudo apt-get install libapache2-mod-suphp

Files

Path
/etc/apache2/mods-available/suphp.conf
/etc/apache2/mods-available/suphp.load
/usr/lib/apache2/modules/mod_suphp.so
/usr/share/doc/libapache2-mod-suphp/CONFIG
/usr/share/doc/libapache2-mod-suphp/NEWS.Debian.gz
/usr/share/doc/libapache2-mod-suphp/README.gz
/usr/share/doc/libapache2-mod-suphp/changelog.Debian.gz
/usr/share/doc/libapache2-mod-suphp/changelog.gz
/usr/share/doc/libapache2-mod-suphp/copyright

Changelog

2012-06-26 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.7.1-3) unstable; urgency=low
* Remove support for apache 2.4 debian package (stalled in
experimental)
2012-04-18 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.7.1-2) experimental; urgency=low
* Lintian cleanup: 
- remove obsolete dependency on php4
- use quilt instead of dpatch for patches management
- add missing ${misc:Depends}
- convert debian makefile to make use of "dh"
- update Standards-Version to 3.9.3
* Add default "rotate" option to logrotate file (closes: #542021)
* Fix typo in package descriptions (closes: #630515)
* Add quotes around env_path configuration variable (closes: #647604)
* Replace AddType by SetHandler in module configuration
(closes: #571653, #594571)
* Update dependencies and make use of dh_apache2 for Apache 2.4
(closes: #666823)
* Convert packaging to 3.0 (quilt)
* Don't override CPPFLAGS with pkg-config output (closes: #655419)
2009-08-03 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.7.1-1) unstable; urgency=low
* New upstream release (closes: #528379, #520182) 
* debian/NEWS: add information about AddHandler -> AddType change introduced
in 0.6.2-2 (closes: #517805)
* debian/conf/suphp.conf, debian/patches/01_debian.dpatch: switch from
application/x-httpd-php to application/x-httpd-suphp to allow
simultaneous use of mod_suphp and mod_php (closes: #519005, #514725)
2008-06-04 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.6.2-3) unstable; urgency=low
* debian/conf/suphp.conf: by default, deactivate suPHP for applications in
/usr/share (owned by uid 0) (closes: #472352, closes: #420007)
* debian/control: bump standard-version
2008-05-10 - Steffen Joeris <white@debian.org>
suphp (0.6.2-2.1) unstable; urgency=high
* Non-maintainer upload by the security team
* Fix race condition in symlink handling by adding
04_CVE-2008-1614.dpatch (Closes: #475431) Fixes: CVE-2008-1614
2007-10-14 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.6.2-2) unstable; urgency=low
* remove apache 1.x package (closes: #429079)
* debian/rules, debian/compat, debian/control: lintian cleanup
* debian/conf/suphp.conf, debian/patches/01_debian.dpatch: replaced
AddHandler by AddType and x-httpd-php by application/x-httpd-php to get
the same behavior as mod php with filenames extensions (closes: #416424)
2007-01-09 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.6.2-1) unstable; urgency=low
* New uptream release (closes: #405059)
(no sources changes from previous snapshot)
2006-11-08 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.6.1.20061108-1) unstable; urgency=low
* New upstream snapshot (closes: #395929)
* debian/patches/04_apache2.2.dpatch: removed (included upstream)
2006-10-08 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.6.1.20060928-1) unstable; urgency=low
* New upstream snapshot (closes: #382086)
* debian/control: updated Build-Depends (closes: #391019)
* debian/control: updated suphp-common dependencies (closes: #375900)
* debian/control: changes apache2-common depends in favor of
apache2.2-common (closes: #391765)
* debian/rules, debian/patches: Switching to dpatch
* Removed debconf abuse (closes: #388967, closes: #383838)
* debian/patches/04_apache2.2.dpatch: added support for apache 2.2.x
* debian/libapache-mod-suphp.install: added suphp.conf in
/etc/apache/conf.d/ (same behavior as apache2)
2005-12-29 - Emmanuel Lacour <elacour@home-dn.net>
suphp (0.6.1-1) unstable; urgency=low
* New upstream release 
* libtool update (closes: #342676)

See Also

Package Description
libapache2-mod-upload-progress_0.1+git20110718-1_i386.deb upload progress support for the Apache web server
libapache2-mod-uwsgi_1.2.3+dfsg-5+deb7u1_i386.deb uwsgi module for Apache2 (mod_uwsgi)
libapache2-mod-vhost-hash-alias_1.0-2_i386.deb Fast and efficient way to manage virtual hosting
libapache2-mod-vhost-ldap_2.0.8-1_i386.deb Apache 2 module for Virtual Hosting from LDAP
libapache2-mod-wsgi-py3_3.3-4+deb7u1_i386.deb Python 3 WSGI adapter module for Apache
libapache2-mod-wsgi_3.3-4+deb7u1_i386.deb Python WSGI adapter module for Apache
libapache2-mod-xsendfile_0.12-1_i386.deb Serve large static files efficiently from web applications
libapache2-modsecurity_2.6.6-6+deb7u2_i386.deb Tighten web applications security for Apache
libapache2-reload-perl_0.12-1_all.deb module for reloading Perl modules when changed on disk
libapache2-request-perl_2.13-1+b2_i386.deb generic Apache request library - Perl modules
libapache2-sitecontrol-perl_1.05-1_all.deb perl web site authentication/authorization system
libapache2-svn_1.6.17dfsg-4+deb7u10_i386.deb Subversion server modules for Apache
libapache2-webauth_4.1.1-2_i386.deb Apache 2 modules for WebAuth authentication
libapache2-webkdc_4.1.1-2_i386.deb Apache 2 modules for a WebAuth authentication KDC
libapertium3-3.1-0-dev_3.1.0-2_i386.deb Development library for Apertium
Advertisement
Advertisement